<?php

if (!defined('PmWiki')) exit();

# Assume that pmwiki.php sets variable $ScriptUrl
$ApplicationPathUrl = dirname($ScriptUrl);
$ApplicationPathDir = realpath(dirname(__FILE__) . "/../.");


if (!isset($StaticPageDir)) {$StaticPageDir = "pub/web";}
if (!isset($WorkDir)){$WorkDir = 'wiki.d';}
if (!isset($StaticPageGeneratorActionName)){$StaticPageGeneratorActionName = 'StaticPageGenerator';}
if (!isset($StaticPageExclude)){$StaticPageExclude = array();}
if (!isset($StaticPageRegularExpressionExclude)){$StaticPageRegularExpressionExclude = array();}

if (!isset($StaticPageSaveActionPageList)){$StaticPageSaveActionPageList = array();}

if (!isset($StaticPageUpdateOnEditSaveAction)){$StaticPageUpdateOnEditSaveAction = TRUE;}
if (!isset($StaticPageGeneratorPasswordKey)){$StaticPageGeneratorPasswordKey = 'admin';}



global $pagename;
include_once("StaticPagesFunctions.php");

# Let Wiki links point to static pages
if (isset($StaticPageDir)){
    $LinkFunctions['<:page>'] = 'LinkToPossibleStaticPage';
}
   
# When a wiki page is saved, update the static page.
if ($StaticPageUpdateOnEditSaveAction){
	global $EditFunctions;
	array_push($EditFunctions, "UpdateStaticPage");
}

# When pmwiki.php?action=$StaticPageGeneratorActionName
global $HandleActions;
if (!isset($HandleActions[$StaticPageGeneratorActionName])){
	$HandleActions[$StaticPageGeneratorActionName] = 'HandleStaticPageGenerator';
} 

global $HandleAuth;
if (!isset($HandleAuth[$StaticPageGeneratorActionName])){
	$HandleAuth[$StaticPageGeneratorActionName] = $StaticPageGeneratorPasswordKey;
}

?>
